CC = gcc -O2 -Wall
PRAATDIR=../../sources_5022-linux

BIN = singleword
SRC = main.c praat.c signals.c config.c cairo.c
OBJ = main.o praat.o signals.o config.o cairo.o

CFLAGS := `pkg-config --cflags gtk+-2.0 libglade-2.0 gthread-2.0` \
	-I$(PRAATDIR)/sys -I$(PRAATDIR)/fon  -I$(PRAATDIR)/audio -I$(PRAATDIR)/dwsys \
	-I$(PRAATDIR)/GSL -I$(PRAATDIR)/stat -I$(PRAATDIR)/num

LIBS := -Wl,--gc-sections -Wl,-s -Wl,--export-dynamic \
		`pkg-config --libs gtk+-2.0 libglade-2.0 gthread-2.0` \
		$(PRAATDIR)/kar/*.o $(PRAATDIR)/num/*.o $(PRAATDIR)/num/glpk/*.o $(PRAATDIR)/GSL/*.o $(PRAATDIR)/sys/*.o $(PRAATDIR)/FLAC/*.o $(PRAATDIR)/mp3/*.o $(PRAATDIR)/dwsys/*.o $(PRAATDIR)/dwtools/*.o $(PRAATDIR)/fon/*.o $(PRAATDIR)/stat/*.o $(PRAATDIR)/LPC/*.o

all: $(BIN)

$(BIN): $(OBJ)
	$(CC) -o $(BIN) $(OBJ) $(LIBS)

.c.o:
	$(CC) -c $(CFLAGS) -o $@ $<

clean: 
	rm -f $(BIN) $(OBJ)

